Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85163 - Square boxes in config tool v2 on linux run tests output
Summary: Square boxes in config tool v2 on linux run tests output
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: eCos
Classification: Retired
Component: ConfigTool
Version: 2.0 beta 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dallaway
QA Contact: John Dallaway
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-26 03:15 UTC by Jonathan Larmour
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 10:16:05 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2003-02-26 03:15:33 UTC
Description of problem:

When doing "Run tests" in the config tool v2 on linux, each line ends with a
square box. I guess this is some sort of carriage return character hangover from
windows, which is then displayed as a box in the font that wxgtk happens to use.

Comment 1 John Dallaway 2003-03-25 10:16:05 UTC
The CR characters appear to originate from gdb itself. I have worked around 
this issue by stripping CRs for non-Windows hosts in 
ecRunTestsDialog::TestOutputCallback(). 


Note You need to log in before you can comment on or make changes to this bug.